Pentaho

 View Only
Expand all | Collapse all

AWS Linux 2 AMI, Pentaho Data Integration installation

This thread has been viewed 32 times
  • 1.  AWS Linux 2 AMI, Pentaho Data Integration installation

    Posted 05-26-2022 14:27
    I'd like to install Pentaho Data Integration (spoon.sh) on the Amazon AWS Linux 2 AMI. I have created an AWS ec2, installed the "MATE" GUI and other base packages. When I try to run spoon.sh I get the following error message:

    $ ./spoon.sh
    #######################################################################
    WARNING: no libwebkitgtk-1.0 detected, some features will be unavailable
    Consider installing the package with apt-get or yum.
    e.g. 'sudo apt-get install libwebkitgtk-1.0-0'

    A google search does not seem to indicate that AWS Linux 2 will support libwebkitgtk-1.0-0, at least I can't see it anywhere as a supported platform.

    I was hoping that since AWS Linux 2 was based on RHEL that it would work similarly, but that does not seem to be the case.

    I installed OpenJDK 11 as well as the webkitgtk3 and 4 packages to my Linux 2 ec2 but that did not fix the error message above.

    Incidentally, spoon.sh will actually start up and run - but when you try to do various operations within the program it trys to access the webkitgtk functionality and does not work correctly.

    I have Pentaho Data Integration 9.3 loaded as well as the packages noted above. Any workarounds or fixes that would enable webkitgtk to work correctly with Pentaho/spoon.sh 9.3?

    ------------------------------
    Kevin Kitts
    IT Support Manager
    MITRE
    ------------------------------


  • 2.  RE: AWS Linux 2 AMI, Pentaho Data Integration installation

    Posted 05-30-2022 07:03
    You could try if this solution for RHEL 7 works for you: https://unix.stackexchange.com/questions/182603/how-to-install-webkitgtk1-on-rhel7
    Good luck!

    ------------------------------
    Ana Gonzalez
    Data Service Manager
    UDIMA
    ------------------------------